Package org.eclipse.draw2d

# Interface LayoutListener

All Known Implementing Classes:
  `LayoutAnimator`, `LayoutListener.Stub`

public interface LayoutListener
Classes which implement this interface provide callback hooks for various layout related events.

Instances can be hooked to figures by calling `IFigure.addLayoutListener(LayoutListener)`. Listeners will be made aware of various steps of the layout mechanism, and even have the opportunity to prevent normal layout from occurring.

Since:
  3.1

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`LayoutListener.Stub`
A stub implementation which implements all of the declared methods.

## Method Summary

Modifier and Type
Method
Description
`void`
`invalidate(IFigure container)`
Called when a container has been invalidated.
`boolean`
`layout(IFigure container)`
Called prior to layout occurring.
`void`
`postLayout(IFigure container)`
Called after layout has occurred.
`void`
`remove(IFigure child)`
Called when a child is about to be removed from its parent.
`void`
`setConstraint(IFigure child, Object constraint)`
Called when a child's constraint is initialized or updated.

## Method Details

### invalidate

void invalidate(IFigure container)
Called when a container has been invalidated.

Parameters:
  `container` - the invalidated Figure
Since:
  3.1

### layout

boolean layout(IFigure container)
Called prior to layout occurring. A listener may intercept a layout by returning `true`. If the layout is intercepted, the container's `LayoutManager` will not receive a layout call.

Parameters:
  `container` - the figure incurring a layout
Returns:
  `true` if the layout has been intercepted by the listener
Since:
  3.1

### postLayout

void postLayout(IFigure container)
Called after layout has occurred.

Parameters:
  `container` - the figure incurring a layout
Since:
  3.1

### remove

void remove(IFigure child)
Called when a child is about to be removed from its parent.

Parameters:
  `child` - the child being removed
Since:
  3.1

### setConstraint

void setConstraint(IFigure child, Object constraint)
Called when a child's constraint is initialized or updated.

Parameters:
  `child` - the child being updated
  `constraint` - the child's new constraint
Since:
  3.1